Skip to main content

Register a subscription

Registers a subscription with the NetApp Console, associating it with an account using the identity and access management service. Use this to manage subscriptions across multiple accounts efficiently.

HTTP method and endpoint

POST /license/account/{accountId}/subscriptions/{subscriptionId}

Token usage

NetApp Console service token.

Usage notes

Registers a subscription with the NetApp Console and associates it with the account by using the identity and access management service.
Each subscription can be associated with multiple accounts.

Note:

This endpoint updates the expiration date based on the date provided in the request.

Parameters

Name Type In Required Description

accountId

string

path

True

subscriptionId

string

path

True

X-Service-Request-Id

string

header

False

Request identifier

Request Body

Name Type Required Description

subscriptionType

string

True

expirationDate

integer

True

dwAudit

boolean

False

The NetApp Console audits, by default, all API calls.

NOTE:

  • To stop the NetApp Console from auditing a request, you can set the calling service to false.

  • dwAudit is an optional parameter, the default value is true.

Example request
{
  "subscriptionType": "string",
  "expirationDate": 0
}

Response

Status: 200, Success response

Response

Status: 4xx, Error response
Name Type Required Description

errorCode

string

False

Error code

error

string

False

Error code/category

message

string

False

Error description message

Example response
{
  "errorCode": "string",
  "error": "string",
  "message": "string"
}